# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Ska-Message.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';
use Data::Dumper;
use lib './lib';
use Ska::Message;

use Test::More tests => 1;
BEGIN { use_ok('Ska::Message') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

$DEBUG = 3;
$log = new Ska::Message (stderr => 1, file => 'test1.log', append=>1, debug=>$DEBUG);
$log->message("");
$log->message("Give me the ring now");
$log->message("hello 1", {auto_cr => 0, time=>1, caller=>1});
$log->message(".. second part");
$log->debug("hello 2\n", "and 3");

$log->debug(2, "2: Debug \nmessage if $DEBUG >= 2");
$log->debug(5, "5: Debug message if $DEBUG >= 2\n");
$log->debug("Debug message for any defined value of debug: $DEBUG\n");
$log->message("I wants the ring, Frodo");
